%define tarname MDP
%define name	python-mdp
%define version 2.6
%define release %mkrel 4

Summary:	Modular Data Processing Toolkit for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.xz
Source1:	MDP2_6_tutorial.pdf
License:	LGPLv3+
Group:		Development/Python
Url:		http://mdp-toolkit.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-numpy >= 1.1, python-scipy >= 0.7.0
BuildRequires:	python-numpy-devel >= 1.1
%py_requires -d

%description
The Modular toolkit for Data Processing (MDP) is a Python data
processing framework. Implemented algorithms include: Principal
Component Analysis (PCA), Independent Component Analysis (ICA), Slow
Feature Analysis (SFA), Independent Slow Feature Analysis (ISFA),
Growing Neural Gas (GNG), Factor Analysis, Fisher Discriminant
Analysis (FDA), Gaussian Classifiers, and Restricted Boltzmann
Machines.  

%prep 
%setup -q -n %{tarname}-%{version}
cp -p %SOURCE1 .
chmod 644 *.pdf

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc README CHANGES COPY* *.pdf



%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com> 2.6-2pclos2010
- update package


